asMatrixWeights {limma} | R Documentation

## asMatrixWeights

### Description

Convert probe-weights or array-weights to a matrix of weights.

### Usage

    asMatrixWeights(weights, dim)

### Arguments

`weights` | numeric matrix of weights, rows corresponding to probes and columns to arrays. Or vector of probe weights. Or vector of array weights.
`dim` | numeric dimension vector of length 2, i.e., the number of probes and the number of arrays.

### Details

This function converts a vector or probe-weights or a vector of array-weights to a matrix of the correct size. Probe-weights are repeated across rows while array-weights are repeated down the columns. If `weights` has length equal to the number of probes, it is assumed to contain probe-weights. If it has length equal to the number of arrays, it is assumed to contain array-weights. If the number of probes is equal to the number of arrays, then `weights` is assumed to contain array-weights if it is a row-vector of the correct size, i.e., if it is a matrix with one row.

This function is used internally by the linear model fitting functions in limma.

### Value

Numeric matrix of dimension `dim`.

### Author(s)

Gordon Smyth

### See Also

`modifyWeights`.

An overview of functions in LIMMA used for fitting linear models is given in 06.LinearModels.

### Examples

    asMatrixWeights(1:3,c(4,3))
    asMatrixWeights(1:4,c(4,3))

[Package limma version 2.16.5 Index]